Comments

3 Comments
karma

Together with FEDORA-2019-a4aa28b798 it seems to work fine for me. I have not noticed any issues (so far) using calibre. Also unblocks dnf upgrade.

BZ#1761130 calibre needs rebuild/update against Qt 5.12.5

Seems to work fine with rebuilt calibre (FEDORA-2019-a4aa28b798). Also fixes dnf upgrade:

Error: 
 Problem 1: cannot install both qt5-qtbase-5.12.5-1.fc30.x86_64 and qt5-qtbase-5.12.4-4.fc30.x86_64
  - package calibre-3.36.0-8.fc30.x86_64 requires libQt5Core.so.5(Qt_5.12.4_PRIVATE_API)(64bit), but none of the providers can be installed
  - package calibre-3.36.0-8.fc30.x86_64 requires qt5-qtbase(x86-64) = 5.12.4, but none of the providers can be installed
  - cannot install the best update candidate for package qt5-qtbase-5.12.4-4.fc30.x86_64
  - cannot install the best update candidate for package calibre-3.36.0-8.fc30.x86_64
 Problem 2: problem with installed package calibre-3.36.0-8.fc30.x86_64
  - package calibre-3.36.0-8.fc30.x86_64 requires libQt5Gui.so.5(Qt_5.12.4_PRIVATE_API)(64bit), but none of the providers can be installed
  - cannot install both qt5-qtbase-gui-5.12.5-1.fc30.x86_64 and qt5-qtbase-gui-5.12.4-4.fc30.x86_64
  - cannot install the best update candidate for package qt5-qtbase-gui-5.12.4-4.fc30.x86_64

Solved dnf copr disable problem.

BZ#1693551 Problem with dnf copr disable command